
QGIS Application - Bug report #4333

EPSG:27700 is interpreted as custom projection

2011-09-28 03:51 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14270

Description

I have shapefiles which are projected in EPSG:27700 (OSGB), created in either FME or ArcGIS it doesn't seem to matter.

When I add these files to QGIS, it doesn't correctly detect the projection and therefore doesn't reproject them into 4326 (which is QGIS's

default projection). Instead it says they're using a custom projection.

See the attached for an example file.

History

#1 - 2011-09-30 04:51 AM - Anita Graser

- Subject changed from Not finding projection to EPSG:27700 is interpreted as custom projection

#2 - 2011-09-30 05:15 AM - Giovanni Manghi

- Resolution set to invalid

- File police.jpg added

- Status changed from Open to Closed

The CRS of your shape and the EPSG27700 in QGIS do not match simply because the CRSs definitions in QGIS are the updated ones in the PROJ

library, and those include parameters not available before. So the program do not make a perfect match, but the resulting custom CRSs are nevertheless

valid, and they work. In your case the shape reprojects fine (see attached image, reprojected over a WGS84 WMS layer).

PS

WGS84 is not the default CRS in QGIS, it depends how you configure QGIS in the "options" menu.

#3 - 2011-09-30 09:31 AM - Jonathan Moules

- File police.png added

I'm not going to pretend to understand that response, but:

"In your case the shape reprojects fine" - is wrong.

When I add that shapefile to a new document (which has wgs84 set because that's still my default projection), it does display, but everything about the

projection is wrong. See attached police.png.

The scale is tens of thousands of degrees, the co-ordinates are 6 digits long (remember, this is lat and long), and the scale is a mind-numbingly huge

number when it should be about 1:1million.

#4 - 2011-09-30 09:34 AM - Giovanni Manghi

Jonathan Moules wrote:
I'm not going to pretend to understand that response, but:

"In your case the shape reprojects fine" - is wrong.

When I add that shapefile to a new document (which has wgs84 set because that's still my default projection), it does display, but everything about

the projection is wrong. See attached police.png.

The scale is tens of thousands of degrees, the co-ordinates are 6 digits long (remember, this is lat and long), and the scale is a mind-numbingly

huge number when it should be about 1:1million.

you need to enable on the fly reprojection in the project properties, after that it will be ok (the scale) and your layer will be reprojected in the project

CRS.

#5 - 2011-09-30 09:39 AM - Giovanni Manghi

- File Screenshot.png added

- File police2.jpg added

- File police3.jpg added

Jonathan Moules wrote:

I'm not going to pretend to understand that response, but:

"In your case the shape reprojects fine" - is wrong.

When I add that shapefile to a new document (which has wgs84 set because that's still my default projection), it does display, but everything about

the projection is wrong. See attached police.png.

The scale is tens of thousands of degrees, the co-ordinates are 6 digits long (remember, this is lat and long), and the scale is a mind-numbingly

huge number when it should be about 1:1million.

see attached images

Files

police.zip 2.92 KB 2011-09-28 Jonathan Moules

police.jpg 111 KB 2011-09-30 Giovanni Manghi

police.png 59.7 KB 2011-09-30 Jonathan Moules

police2.jpg 317 KB 2011-09-30 Giovanni Manghi

police3.jpg 338 KB 2011-09-30 Giovanni Manghi

Screenshot.png 1.43 MB 2011-09-30 Giovanni Manghi
